%define section free

Name:           avalon-excalibur
Version:        4.1
Release:        6jpp
Epoch:          0
Summary:        Java development components
License:        Apache Software License
URL:            http://avalon.apache.org/excalibur/
Group:          Development/Libraries/Application Frameworks
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        http://jakarta.apache.org/builds/jakarta-avalon/release/excalibur/v4.1/Excalibur-4.1-src.tar.gz
Patch0:         %{name}-exceptions.patch
Patch1:         %{name}-typos.patch
Patch2:         %{name}-javadoc.patch
Requires:       jdom
Requires:       xalan-j2 >= 0:2.2.0
Requires:       servlet
Requires:       avalon-logkit >= 0:1.0.1
Requires:       avalon-framework >= 0:4.1.2
BuildRequires:  ant
BuildRequires:  junit
BuildRequires:  junitperf
BuildRequires:  jdom
BuildRequires:  xalan-j2 >= 0:2.2.0
BuildRequires:  servlet
BuildRequires:  avalon-logkit >= 0:1.0.1
BuildRequires:  avalon-framework >= 0:4.1.2
BuildRequires:  jndi
BuildRequires:  jms
BuildRequires:  jdbc-stdext
BuildRequires:  jpackage-utils >= 0:1.5
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Avalon Excalibur was created in order to ease development of new
projects. To that end, Excalibur contains a number of ready to use
components and utilities that handle everything from command line
parsing to thread concurrency management.
The components in the Excalibur package have been well tested and do
work reliably.

%package scratchpad
Summary:        Staging area for new components
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description scratchpad
This is an associated project that is a staging area for new Components.
When they have been sufficiently tested, we will include them in
Excalibur.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

# -----------------------------------------------------------------------------

%prep
%setup -q -n Excalibur-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p0
mkdir -p tools/lib
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

# -----------------------------------------------------------------------------

%build
export CLASSPATH=\
$(build-classpath \
avalon-logkit \
avalon-framework \
junit \
junitperf \
jdom \
xml-commons-apis \
xalan-j2 \
servlet \
jndi \
jms \
jdbc-stdext)

# Sun's 1.4.1 doclet doesn't like the scratchpad javadocs...
ant -Dtest.all=true -Dtools.dir=`pwd`/tools all test javadocs-main

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
cp -p build/lib/avalon-scratchpad.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-scratchpad-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt README.txt
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar

%files scratchpad
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-scratchpad-%{version}.jar
%{_javadir}/%{name}-scratchpad.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%changelog
* Fri Mar 28 2003 Ville Skytt <ville.skytta at iki.fi> - 0:4.1-6jpp
- Adapted to JPackage 1.5.
- Use sed instead of bash 2 extension when symlinking jars during build.
- Run unit tests during build.
- Patch to build with Java 1.4.

* Tue May 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.1-5jpp
- hardcoded distribution and vendor tag
- group tag again

* Thu May 2 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.1-4jpp
- distribution tag
- group tag

* Thu Mar 28 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.1-3jpp
- scratchpad.jar in scratchpad package

* Mon Mar 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.1-2jpp
- generic servlet support

*  Mon Feb 04 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 4.1-1jpp
- 4.1
- dropped redudant dependency on xml-commons-apis
- dependency on xalan-j2 >= 2.2.0
- dependency on avalon-logkit >= 1.0.1
- dependency on junitperf
- section macro

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.0-5jpp
- versioned dir for javadoc
- no dependencies for and javadoc package
- adaptation for new servlet3 package
- requires xml-commons-apis

* Wed Dec 5 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.0-4jpp
- javadoc into javadoc package
- Requires and BuildRequires servletapi3 >= 3.2.3-2

* Fri Nov 23 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 4.0-3jpp
- fixed compilation (required by cocoon2)

* Tue Nov 20 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 4.0-2jpp
- removed packager tag
- new jpp extension
- added xalan 2.2.D13 support

* Sat Oct 6 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.0-1jpp
- first unified release
